# Enum ConeFindMode

java.lang.Object
java.lang.Enum<ConeFindMode>
uk.ac.starlink.ttools.cone.ConeFindMode

All Implemented Interfaces:
  `Serializable, Comparable<ConeFindMode>, java.lang.constant.Constable`

public enum ConeFindMode extends Enum<ConeFindMode>
Find mode for SkyConeMatch2 results.

Since:
  26 Sep 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
All matches.
`BEST`
Best match.
`EACH`
One output row for each input row.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXmlDescription()`
Returns XML description of behaviour.
`boolean`
`isBestOnly()`
Indicates if only best matches per query are required.
`boolean`
`isIncludeBlanks()`
Indicates if output should include input rows even when no match was found.
`String`
`toString()`
`static ConeFindMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConeFindMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEST

public static final ConeFindMode BEST
Best match.

### ALL

public static final ConeFindMode ALL
All matches.

### EACH

public static final ConeFindMode EACH
One output row for each input row.

## Method Details

### values

public static ConeFindMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConeFindMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isBestOnly

public boolean isBestOnly()
Indicates if only best matches per query are required.

Returns:
  true iff only the best match for each input table row is required, false for all matches within radius

### isIncludeBlanks

public boolean isIncludeBlanks()
Indicates if output should include input rows even when no match was found.

Returns:
  true iff a row is to be output for input rows for which the cone search has no matches

### getXmlDescription

public String getXmlDescription()
Returns XML description of behaviour.

Returns:
  XML description, no wrapping element

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ConeFindMode>`